TCSTPlan< T > Class Template Referenceabstract

`#include <mia/core/cstplan.hh>`

## Public Types

typedef T::value_type | value_type

## Public Member Functions

template<typename D>
void | execute (const D &in_data, D &out_data) const
const std::vector< int > & | get_size () const
| TCSTPlan (fftwf_r2r_kind forward, std::vector< int > size)
virtual | ~TCSTPlan ()

## Detailed Description

template<typename T>
class TCSTPlan< T >

Definition at line 34 of file cstplan.hh.

## Member Typedef Documentation

## value_type

template<typename T>

typedef T::value_type TCSTPlan< T >::value_type

Definition at line 37 of file cstplan.hh.

## Constructor & Destructor Documentation

## TCSTPlan()

template<typename T>

TCSTPlan< T >::TCSTPlan | ( | fftwf_r2r_kind | forward,
|  | std::vector< int > | size )

Definition at line 80 of file cstplan.hh.

References cvdebug().

## ~TCSTPlan()

template<typename T>

TCSTPlan< T >::~TCSTPlan | ( |  | ) |

virtual

Definition at line 183 of file cstplan.hh.

## Member Function Documentation

## execute()

template<typename T>
template<typename D>

void TCSTPlan< T >::execute | ( | const D & | in_data,
|  | D & | out_data ) const

Definition at line 193 of file cstplan.hh.

## get_size()

template<typename T>

const std::vector< int > & TCSTPlan< T >::get_size | ( |  | ) | const

Definition at line 74 of file cstplan.hh.

The documentation for this class was generated from the following file:

- cstplan.hh